<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="espirometria">
        <h2 class="jh-entity-heading" data-cy="espirometriaDetailsHeading">
          <span v-text="$t('gatewayApp.expedientemanualEspirometria.detail.title')">Espirometria</span> {{ espirometria.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.fev1T')">Fev 1 T</span>
          </dt>
          <dd>
            <span>{{ espirometria.fev1T }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.fev1R')">Fev 1 R</span>
          </dt>
          <dd>
            <span>{{ espirometria.fev1R }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.fvcT')">Fvc T</span>
          </dt>
          <dd>
            <span>{{ espirometria.fvcT }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.fvcR')">Fvc R</span>
          </dt>
          <dd>
            <span>{{ espirometria.fvcR }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.indiceTP')">Indice TP</span>
          </dt>
          <dd>
            <span>{{ espirometria.indiceTP }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.fechaToma')">Fecha Toma</span>
          </dt>
          <dd>
            <span v-if="espirometria.fechaToma">{{ $d(Date.parse(espirometria.fechaToma), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.resultado')">Resultado</span>
          </dt>
          <dd>
            <span>{{ espirometria.resultado }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualEspirometria.user')">User</span>
          </dt>
          <dd>
            {{ espirometria.user ? espirometria.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="espirometria.id"
          :to="{ name: 'EspirometriaEdit', params: { espirometriaId: espirometria.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./espirometria-details.component.ts"></script>
